My Oracle Support Banner

JDeveloper Studio 12.2.1.4 Shows Spring Framework Vulnerability (Doc ID 2735113.1)

Last updated on OCTOBER 14, 2021

Applies to:

Oracle JDeveloper - Version 12.2.1.4.0 and later
Information in this document applies to any platform.

Goal

The security scanner is reporting a problem with the Spring Framework version packaged with JDeveloper Studio 12.2.1.4.0.

The scanner finds this older version of Spring at

$ORACLE_HOME\oracle_common\modules\thirdparty\spring-core-5.1.3.RELEASE.jar

and recommends upgrading that version to 5.1.13, or 5.2.3 or later.

Which patch to apply to fix the Spring Framework version?
 

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.